<?php
include('top.php');
include('../php/link.php');

$msg_sukces='<span style="color: #006600; font-weight: bold;">sukces</span>';
$msg_porazka='<span style="color: #cc0000; font-weight: bold;">niepowodzenie</span>';

$zgoda = $_POST['zgoda'] == 1 ? 1 : 0;
$pz = $_POST['pelnazgoda'] == 1 ? 1 : 0;
$go = $_POST['go'] == 1 ? 1 : 0;

$del = $_GET['del'] == 1 ? 1 : 0;
if($del == 1)// kasujemy instalator
{
	//najpierw zmieniamy chmod
	chmod('../config/dane.php', 0644);

	unlink('index.php');
	//unlink('foot.php');
	unlink('style.css');
	unlink('top.php');
	unlink('images/bg.png');
	rmdir('images');
	redirect('../index.php', 1);
}

$i = 0;

$adres_stronyi = $_SERVER['HTTP_HOST'].(dirname($_SERVER['PHP_SELF'])!="/" ? dirname($_SERVER['PHP_SELF']) : '');
$kat = explode('/setup', $adres_stronyi);
$adres_strony = $kat[0];

// okreslamy katalog, w ktorym jest zainstalowany program na potrzeby pdw.config
$tttt = $_SERVER['PHP_SELF'];
$katalog = explode('/setup', $tttt);
$tenkat = $katalog[0];
$tenkat = substr($tenkat, 1); // wywalamy pierwszy slesz


if(($pz == 1 && $zgoda == 1) || $go == 1)
{

	$niepokazuj = 0;
	if($go == 1)
	{
		$err = ' style="border: 3px solid #cc0000;" ';

		$host = strip_tags(addslashes($_POST['host']));
		$baza = strip_tags(addslashes($_POST['baza']));
		$bazalogin = strip_tags(addslashes($_POST['bazalogin']));
		$bazahaslo = strip_tags(addslashes($_POST['bazahaslo']));
		$prefix = strip_tags(addslashes($_POST['prefix']));
		$imieinstal = strip_tags(addslashes($_POST['imieinstal']));
		$nazwiskoinstal = strip_tags(addslashes($_POST['nazwiskoinstal']));
		$emilinstal = strip_tags(addslashes($_POST['emilinstal']));
		$hasloinstal = strip_tags(addslashes($_POST['hasloinstal']));
		$hasloinstal2 = strip_tags(addslashes($_POST['hasloinstal2']));


		$err1 = empty($host) ? $err : '';
		$err2 = empty($baza) ? $err : '';
		$err3 = empty($bazalogin) ? $err : '';
		//$err4 = empty($bazahaslo) ? $err : '';
		$err5 = empty($prefix) ? $err : '';
		$err6 = empty($imieinstal) ? $err : '';
		$err7 = empty($nazwiskoinstal) ? $err : '';
		$err8 = empty($emilinstal) ? $err : '';
		if(empty($hasloinstal) || $hasloinstal != $hasloinstal2)
		{
			$err9 = $err;
		}



		if(empty($err1) && empty($err2) && empty($err3) && empty($err5) && empty($err6) && empty($err7) && empty($err8) && empty($err9))
		{
			echo "\n".'<div class="info2">';
			//echo "\n".'<img src="../images/logomb.png" alt="MegaBIP" width="122" height="122" />';
			@ $db = mysql_pconnect($host, $bazalogin, $bazahaslo);
			if(!$db)
			{
				echo "\n".'<br /><h3>NIE MA POŁĄCZENIA Z BAZĄ DANYCH</h3>';
				echo "\n".'<a href="index.php" style="color: #cc0000;">spróbuj ponownie</a>';
			}
			else
			{
				$zapis = fopen('../config/dane.php', 'w');
				fwrite($zapis, "<?php\n");
				fwrite($zapis, "// ***************************************\n");
				fwrite($zapis, "// DANE DOSTEPOWE DO BAZY \n");
				fwrite($zapis, "\$host='$host';\n");
				fwrite($zapis, "\$bazalogin='$bazalogin';\n");
				fwrite($zapis, "\$bazahaslo='$bazahaslo';\n");
				fwrite($zapis, "\$baza='$baza';\n");
				fwrite($zapis, "\$pref='$prefix';\n");
				fwrite($zapis, "// ***************************************\n");
				fwrite($zapis, "?>\n");
				fclose($zapis);

				$zapis2 = fopen('../config/pdw.config.php', 'w');
				fwrite($zapis2, "<?php\n");
				fwrite($zapis2, "\$pdwkatalog='$tenkat';\n");
				fwrite($zapis2, "?>\n");
				fclose($zapis2);

				$i = 0;
				mysql_query('set names utf8;');
				mysql_select_db($baza);

				echo "\n".'<table class="instal">';

				echo "<tr><td>Kasuję tablicę admins </td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_admins;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę admins </td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_admins (
					Id int(10) NOT NULL auto_increment,
					Email varchar(50) character set utf8 collate utf8_polish_ci default NULL,
					Imie varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Nazwisko varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Haslo varchar(32) character set utf8 collate utf8_polish_ci default NULL,
					LastLogin datetime default NULL,
					LLzIP varchar(20) character set utf8 collate utf8_polish_ci default NULL,
					Aktywne int(10) unsigned default NULL,
					Admin int(11) NOT NULL default '0',
					DataU datetime NOT NULL,
					DataOM datetime NOT NULL,
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=2;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				$hasloinstalp = md5($hasloinstal);
				echo "<tr><td>Umieszczam dane w tablicy admins </td><td>";
				$uruchom = "INSERT INTO ".$prefix."_smodbip_admins (Id, Email, Imie, Nazwisko, Haslo, LastLogin, LLzIP, Aktywne, Admin, DataU, DataOM)
				VALUES
				(1, '".$emilinstal."', '".$imieinstal."', '".$nazwiskoinstal."', '".$hasloinstalp."', '', '', 1, 1, Now(), Now());";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;


				echo "<tr><td>Kasuję tablicę logi </td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_logi;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę logi </td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_logi (
					Id int(10) NOT NULL auto_increment,
					Imie varchar(20) character set utf8 collate utf8_polish_ci NOT NULL,
					Nazwisko varchar(50) character set utf8 collate utf8_polish_ci NOT NULL,
					Email varchar(30) character set utf8 collate utf8_polish_ci NOT NULL,
					DataL datetime NOT NULL,
					Blad int(11) NOT NULL,
					URL varchar(255) character set utf8 collate utf8_polish_ci NOT NULL,
					Host varchar(255) character set utf8 collate utf8_polish_ci NOT NULL,
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				
				echo "<tr><td>Kasuję tablicę przetargi</td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_przetargi;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę przetargi</td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_przetargi (
					Id int(10) NOT NULL auto_increment,
					System int(11) NOT NULL,
					Aktualny int(11) NOT NULL default '1',
					Tytul varchar(255) character set utf8 collate utf8_polish_ci NOT NULL,
					Numer varchar(50) character set utf8 collate utf8_polish_ci NOT NULL,
					Opis longtext character set utf8 collate utf8_polish_ci,
					Publiczny int(11) default NULL,
					ImieP varchar(255) character set utf8 collate utf8_polish_ci NOT NULL default '',
					NazwiskoP varchar(255) character set utf8 collate utf8_polish_ci NOT NULL default '',
					Kontakt varchar(255) character set utf8 collate utf8_polish_ci NOT NULL default '',
					DataU datetime default NULL,
					DataZ datetime default NULL,
					DataR datetime default NULL,
					Rozstrzygniety int(11) default '0',
					Usuniety int(11) default '0',
					DataDel datetime default NULL,
					Uwagi longtext character set utf8 collate utf8_polish_ci NOT NULL,
					V int(11) NOT NULL default '0',
					DataRekordu datetime default NULL,
					Dodal int(11),
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Kasuję tablicę ogłoszenia do przetargów</td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_przetargi_ogl;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę ogłoszenia do przetargów</td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_przetargi_ogl (
					Id int(10) NOT NULL auto_increment,
					Przetarg int(11) NOT NULL,
					Aktualne int(11) NOT NULL default '1',
					Tytul varchar(255) character set utf8 collate utf8_polish_ci NOT NULL,
					Opis longtext character set utf8 collate utf8_polish_ci,
					Usuniete int(11) default '0',
					DataDel datetime default NULL,
					Uwagi longtext character set utf8 collate utf8_polish_ci NOT NULL,
					V int(11) NOT NULL default '0',
					DataU datetime default NULL,
					DataRekordu datetime default NULL,
					Dodal int(11),
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę konkursy</td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_konkursy (
					Id int(10) NOT NULL auto_increment,
					System int(11) NOT NULL,
					Aktualny int(11) NOT NULL default '1',
					Tytul varchar(255) character set utf8 collate utf8_polish_ci NOT NULL,
					Numer varchar(50) character set utf8 collate utf8_polish_ci NOT NULL,
					Opis longtext character set utf8 collate utf8_polish_ci,
					Publiczny int(11) default NULL,
					ImieP varchar(255) character set utf8 collate utf8_polish_ci NOT NULL default '',
					NazwiskoP varchar(255) character set utf8 collate utf8_polish_ci NOT NULL default '',
					Kontakt varchar(255) character set utf8 collate utf8_polish_ci NOT NULL default '',
					DataU datetime default NULL,
					DataZ datetime default NULL,
					DataR datetime default NULL,
					Rozstrzygniety int(11) default '0',
					Usuniety int(11) default '0',
					DataDel datetime default NULL,
					Uwagi longtext character set utf8 collate utf8_polish_ci NOT NULL,
					V int(11) NOT NULL default '0',
					DataRekordu datetime default NULL,
					Dodal int(11),
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Kasuję tablicę ogłoszenia do konkursów</td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_konkursy_ogl;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę ogłoszenia do konkursów</td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_konkursy_ogl (
					Id int(10) NOT NULL auto_increment,
					Konkurs int(11) NOT NULL,
					Aktualne int(11) NOT NULL default '1',
					Tytul varchar(255) character set utf8 collate utf8_polish_ci NOT NULL,
					Opis longtext character set utf8 collate utf8_polish_ci,
					Usuniete int(11) default '0',
					DataDel datetime default NULL,
					Uwagi longtext character set utf8 collate utf8_polish_ci NOT NULL,
					V int(11) NOT NULL default '0',
					DataU datetime default NULL,
					DataRekordu datetime default NULL,
					Dodal int(11),
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Kasuję tablicę modules </td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_modules;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Zakładam tablicę modules </td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_modules (
					Id int(10) NOT NULL auto_increment,
					Nazwa varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Aktywne int(10) unsigned default '0',
					DataD datetime NOT NULL,
  				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=2;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Umieszczam dane w tablicy modules </td><td>";
				$uruchom = "INSERT INTO ".$prefix."_smodbip_modules (Id, Nazwa, Aktywne, DataD)
				VALUES
				(1, 'Kontakt', 0, ''),
				(2, 'Przetargi', 0, ''),
				(3, 'Konkursy', 0, ''),
				(4, 'Zbiorczy rejestr zmian', 0, '');";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;


				echo "<tr><td>Kasuję tablicę strony </td><td>";
				$uruchom = "DROP TABLE IF EXISTS ".$prefix."_smodbip_strony;";
				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;


				echo "<tr><td>Zakładam tablicę strony </td><td>";
				$uruchom = "CREATE TABLE IF NOT EXISTS ".$prefix."_smodbip_strony (
					Id int(10) NOT NULL auto_increment,
				  
					System int(11) NOT NULL default '0',
					Nazwa varchar(255) character set utf8 collate utf8_polish_ci default NULL,
					Kolejnosc int(11) default NULL,
					Parent int(11) NOT NULL default '0',
					Usuniete int(11) NOT NULL default '0',
					Aktualna int(11) NOT NULL default '1',
					Tytul varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Title varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Tresc longtext character set utf8 collate utf8_polish_ci NOT NULL,
					Aktywne int(11) NOT NULL default '1',
					Typ int(11) NOT NULL default '0',
					Menu int(11) NOT NULL default '1',
					V int(11) NOT NULL default '0',
					Aimie varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Anazwisko varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Pimie varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					Pnazwisko varchar(99) character set utf8 collate utf8_polish_ci NOT NULL,
					DataD datetime NOT NULL,
					DataP datetime NOT NULL,
					Dodal int(11) NOT NULL,
					Powod text character set utf8 collate utf8_polish_ci NOT NULL,
				  PRIMARY KEY  (Id)
				) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=51;";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;

				echo "<tr><td>Umieszczam dane w tablicy strony </td><td>";
				$uruchom = "INSERT INTO ".$prefix."_smodbip_strony 
					(Id, System, Nazwa, Kolejnosc, Parent, Usuniete, Aktualna, Tytul, Title, Tresc, Aktywne, Typ, Menu, V, Aimie, Anazwisko, Pimie, Pnazwisko, DataD, DataP, Dodal, Powod) 
				VALUES
				(1, 10, 'Strona główna', 1, 0, 0, 1, 'Witamy na stronie...', 'Witamy na stronie BIP', 'Witamy na stronie', 1, 0, 1, 0, '".$imieinstal."', '".$nazwiskoinstal."', '".$imieinstal."', '".$nazwiskoinstal."', Now(), Now(), 1, ''),
				(2, 2, 'zastrzeżenia prawne', NULL, 0, 0, 1, 'zastrzeżenia prawne', '', 'zastrzeżenia prawne', 1, 0, 1, 0, '".$imieinstal."', '".$nazwiskoinstal."', '".$imieinstal."', '".$nazwiskoinstal."', Now(), Now(), 1, ''),
				(3, 3, 'mapa strony', NULL, 0, 0, 1, 'mapa strony', '', 'mapa strony', 1, 0, 1, 0, '".$imieinstal."', '".$nazwiskoinstal."', '".$imieinstal."', '".$nazwiskoinstal."', Now(), Now(), 1, ''),
				(4, 4, 'instrukcja korzystania z BIP', NULL, 0, 0, 1, 'instrukcja korzystania z BIP', '', 'instrukcja korzystania z BIP', 1, 0, 1, 0, '".$imieinstal."', '".$nazwiskoinstal."', '".$imieinstal."', '".$nazwiskoinstal."', Now(), Now(), 1, ''),
				(5, 11, 'Rejestr stron usuniętych', 2, 0, 0, 1, 'Rejestr stron usuniętych', 'Rejestr stron usuniętych', 'Rejestr stron usuniętych', 1, 0, 1, 0, '".$imieinstal."', '".$nazwiskoinstal."', '".$imieinstal."', '".$nazwiskoinstal."', Now(), Now(), 1, ''),
				(6, 12, 'Inne informacje', 3, 0, 0, 1, 'Inne informacje', 'Inne informacje', 'Inne informacje', 1, 0, 1, 0, '".$imieinstal."', '".$nazwiskoinstal."', '".$imieinstal."', '".$nazwiskoinstal."', Now(), Now(), 1, '');";

				$sukces = mysql_query($uruchom);
				echo " ".($sukces ? $msg_sukces : $msg_porazka)."</td></tr>";
				$i = $sukces ? $i : $i+1;


				if($i == 0)
				{
					$info = 'pomyślnie';
					$icolor = '#006600';
				}
				else
				{
					$info = 'błędnie: liczba błędów: '.$i;
					$icolor = '#cc0000';
				}

				echo "\n".'<tr><td><br /><b>Instalacja zakończona</b></td>';
				echo "\n".'<td><br /><span style="color: '.$icolor.'; font-weight: bold;">'.$info.'</span></b></td></tr>';

				echo "\n".'<tr><td colspan="2">Jeżeli w kolejnym kroku pojawią się błędy lub instalator włączy się ponownie - skasuj katalog "setup" ręcznie. Twój panel edycyjny znajduje się pod adresem <b>'.$adres_strony.'/edytor</td>';
				echo "\n".'</tr>';

				echo "\n".'<tr><td colspan="2"><a href="index.php?del=1">Kliknij aby zakończyć instalację</a></td></tr>';

				echo "\n".'</table>';

			}
			
			echo "\n".'</div>';
			$niepokazuj = 1;
		}
		else
		{
		}
	}

	if($niepokazuj != 1)
	{
		echo "\n".'<div class="info2">';
		//echo "\n".'<img src="../images/logomb.png" alt="MegaBIP" width="122" height="122" />';

		echo "\n".'<table>';
		echo "\n".'<form method="post" action="index.php" name="setup">';
		echo "\n".'<tr><td><b>Host bazy danych</b>:</td>';
		echo "\n".'<td><input class="txt" '.$err1.' type="text" name="host" size="50" value="localhost"></td>';
		echo "\n".'</tr>';
		echo "\n".'<tr>';
		echo "\n".'<td><b>Nazwa bazy danych</b>:</td>';
		echo "\n".'<td><input class="txt" '.$err2.' type="text" name="baza" value="'.$baza.'" size="50"></td>';
		echo "\n".'</tr>';
		echo "\n".'<tr>';
		echo "\n".'<td><b>Login do bazy danych</b>:</td>';
		echo "\n".'<td><input class="txt" '.$err3.' type="text" name="bazalogin" value="'.$bazalogin.'" size="50"></td>';
		echo "\n".'</tr>';
		echo "\n".'<tr>';
		echo "\n".'<td><b>Hasło do bazy danych</b>:</td>';
		echo "\n".'<td><input class="txt" '.$err4.' type="password" value="'.$bazahaslo.'" name="bazahaslo"></td>';
		echo "\n".'</tr>';
		echo "\n".'<tr>';
		echo "\n".'<td><b>Prefix do tabel w bazie</b>:</td>';
		echo "\n".'<td><input class="txt" '.$err5.' type="text" value="'.$prefix.'" name="prefix"></td>';
		echo "\n".'</tr>';

		echo "\n".'<tr>';
		echo "\n".'<td>&nbsp;</td>';
		echo "\n".'<td>&nbsp;</td>';
		echo "\n".'</tr>';

			echo "\n".'<tr><td><b>Imię:</b></td>';
			echo "\n".'<td><input class="txt" '.$err6.' type="text" value="'.$imieinstal.'" name="imieinstal"></td></tr>';
			echo "\n".'<tr><td><b>Nazwisko:</b></td>';
			echo "\n".'<td><input class="txt" '.$err7.' type="text" value="'.$nazwiskoinstal.'" name="nazwiskoinstal"></td></tr>';
			echo "\n".'<tr><td><b>e-mail:</b></td><td>';
			echo "\n".'<input class="txt" '.$err8.' type="text" value="'.$emilinstal.'" name="emilinstal"></td></tr>';
			echo "\n".'<tr><td><b>Hasło:</b></td>';
			echo "\n".'<td><input class="txt" '.$err9.' type="password" name="hasloinstal"></td></tr>';
			echo "\n".'<tr><td><b>Hasło powtórnie:</b></td>';
			echo "\n".'<td><input class="txt" '.$err9.' type="password" name="hasloinstal2"></td></tr>';

		echo "\n".'<tr>';
		echo "\n".'<td>&nbsp;</td>';
		echo "\n".'<td><input type="submit" name="submit" value=" &raquo; dalej "></td>';
		echo "\n".'</tr>';
		echo "\n".'</table>';


		echo "\n".'<input type="hidden" name="go" value="1" />';

		echo "\n".'</form>';
		echo "\n".'</div>';

		echo "\n".'<div class="info3">';
		echo "\n".'Hasło bazy danych nie jest polem wymaganym, jeżeli masz serwer z bazą, która nie wymaga hasła pozostaw to pole pustym.';
		echo "\n".'</div>';
		echo "\n".'<br />';
		echo "\n".'<br />';
	}


	
}
else
{
	echo "\n".'<div class="info">';
	echo "\n".'<form method="post" action="index.php" name="setup">';
	echo "\n".'<input type="checkbox" name="pelnazgoda" class="chck" value="1" /> ';
	echo "\n".'<input type="hidden" name="zgoda" value="1" /> ';
	echo "\n".'Znam i zgadzam się na zapisy <a href="../edytor/licencja.pdf" target="_blank">licencji</a>';
	echo "\n".'<br />';
	echo "\n".'<br />';
	echo "\n".'<br />';
	//echo "\n".'<img src="../images/logomb.png" alt="MegaBIP" width="122" height="122" />';
	//echo "\n".'<br />';
	//echo "\n".'<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name ="rodzaj" value="1" checked="checked" /> zainstaluj wersję '.$ver;
	//echo "\n".'<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name ="rodzaj" value="2" /> zaktualizuj do wersji '.$ver.' &raquo; UWAGA! &laquo;';

	echo "\n".'<input type="submit" value=" chcę zainstalować program MegaBIP '.$ver.' " />';

	if($pz == 0 && $zgoda == 1)
	{
		echo "\n".'<br /><br />Instalując program zawierasz umowę cywilno-prawną, potwierdź znajomość licencji.';
	}
	echo "\n".'</div>';
	
	echo "\n".'</form>';
	
}

?>
</div>
</body>
</html>
